Class UmlBaseClassDiagram

Manage the class diagrams

Declaration :

- C++ : class UmlBaseClassDiagram : public UmlDiagram
- Java : abstract class UmlBaseClassDiagram extends UmlDiagram

Directly inherited by : UmlClassDiagram

Artifact : UmlBaseClassDiagram

Operation create

returns a new class diagram named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlClassView, in s : str) : UmlClassDiagram, exceptions : RuntimeException
- C++ : public: static UmlClassDiagram * create(UmlClassView * parent, const char * s)
- Java : public static UmlClassDiagram create(UmlClassView parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseClassDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseClassDiagram(in id : item_id, in n : string) :
- C++ : protected: UmlBaseClassDiagram(void * id, const QCString & n) : UmlDiagram(id, n)
- Java : protected UmlBaseClassDiagram(long id, String n)

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload